> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.lumenia.net/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.lumenia.net/_mcp/server.

# Create account

POST https://app.lumenia.net/api/v1/accounts
Content-Type: application/json

Create an account.

Reference: https://docs.lumenia.net/api-reference/accounts/create-account

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <API_KEY>`, where `API_KEY` is your API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — Name shown to users. Required, non-blank, and does not need to be unique.

## Response

### 201

The created account.

- `account` (V1AccountsPostResponsesContentApplicationJsonSchemaAccount, required) — The newly created account.

## Errors

### 400 Bad Request Error

The name is missing or blank after trimming, or the account could not be created.

- `error` (string, optional) — Human-readable reason the account was not created.

### 403 Forbidden Error

The API key is missing or invalid.

- `message` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `any`

## Types

### V1AccountsPostResponsesContentApplicationJsonSchemaAccount

The newly created account.

- `id` (string, optional) — The sole identifier for the account.
- `name` (string, optional) — Human-readable account name (as sent).
- `type` (string, optional) — The account type. Always "ipaas" for accounts created via a partner API key.
- `createdAt` (string, optional) — ISO 8601 timestamp of when the account was created.

## Examples

**Request**

```json
{
  "name": "LumenIA"
}
```

**Response**

```json
{
  "account": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "LumenIA",
    "type": "ipaas",
    "createdAt": "2026-06-15T05:24:00.000Z"
  }
}
```

**SDK Code**

```python Accounts_createAccount_example
import requests

url = "https://app.lumenia.net/api/v1/accounts"

payload = { "name": "LumenIA" }
headers = {
    "Authorization": "Bearer <API_KEY>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Accounts_createAccount_example
const url = 'https://app.lumenia.net/api/v1/accounts';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <API_KEY>', 'Content-Type': 'application/json'},
  body: '{"name":"LumenIA"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Accounts_createAccount_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.lumenia.net/api/v1/accounts"

	payload := strings.NewReader("{\n  \"name\": \"LumenIA\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <API_KEY>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Accounts_createAccount_example
require 'uri'
require 'net/http'

url = URI("https://app.lumenia.net/api/v1/accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <API_KEY>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"LumenIA\"\n}"

response = http.request(request)
puts response.read_body
```

```java Accounts_createAccount_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.lumenia.net/api/v1/accounts")
  .header("Authorization", "Bearer <API_KEY>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"LumenIA\"\n}")
  .asString();
```

```php Accounts_createAccount_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.lumenia.net/api/v1/accounts', [
  'body' => '{
  "name": "LumenIA"
}',
  'headers' => [
    'Authorization' => 'Bearer <API_KEY>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Accounts_createAccount_example
using RestSharp;

var client = new RestClient("https://app.lumenia.net/api/v1/accounts");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <API_KEY>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"LumenIA\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Accounts_createAccount_example
import Foundation

let headers = [
  "Authorization": "Bearer <API_KEY>",
  "Content-Type": "application/json"
]
let parameters = ["name": "LumenIA"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.lumenia.net/api/v1/accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```